Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceErrorFilter

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceErrorFilter

    public class VoiceErrorFilter
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceErrorFilter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.lang.Integer>` | `getContractIds()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.util.Set<java.lang.Integer>` | `getDeviceIds()` |
  `java.lang.String` | `getPhoneFrom()` |
  `java.lang.String` | `getPhoneTo()` |
  `void` | `setContractIds​(java.util.Set<java.lang.Integer> contractIds)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setDeviceIds​(java.util.Set<java.lang.Integer> deviceIds)` |
  `void` | `setPhoneFrom​(java.lang.String phoneFrom)` |
  `void` | `setPhoneTo​(java.lang.String phoneTo)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceErrorFilter

    public VoiceErrorFilter()

- ## Method Details

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getDeviceIds

    public java.util.Set<java.lang.Integer> getDeviceIds()

  - ### setDeviceIds

    public void setDeviceIds​(java.util.Set<java.lang.Integer> deviceIds)

  - ### getContractIds

    public java.util.Set<java.lang.Integer> getContractIds()

  - ### setContractIds

    public void setContractIds​(java.util.Set<java.lang.Integer> contractIds)

  - ### getPhoneTo

    public java.lang.String getPhoneTo()

  - ### setPhoneTo

    public void setPhoneTo​(java.lang.String phoneTo)

  - ### getPhoneFrom

    public java.lang.String getPhoneFrom()

  - ### setPhoneFrom

    public void setPhoneFrom​(java.lang.String phoneFrom)